Subject: cvsimport does not work with passwords ?

From: Marcin Wiśnicki <[email-masked]>
Date: Thu, 28 Apr 2011 20:59:57 +0000 (UTC)

I have to import part of public cvs repository that is protected by 
password (which is "anoncvs"):

> export CVSROOT=:pserver:[email-masked]:/home/ncvs
> cvs login

And now I can use cvs and cvsps, when I try git however:

> git cvsimport -vk projects/pkgtools
AuthReply: I HATE YOU

It seems that it does not send the password. From captured network 
conversation:

-> BEGIN AUTH REQUEST
-> /home/ncvs
-> anoncvs
-> A
-> END AUTH REQUEST
<- I HATE YOU

But `cat ~/.cvspass`:
/1 :pserver:[email-masked]:2401/home/ncvs Ay=0=h<Z

So why is git not sending the password ?